package com.cirmuller.maidaddition.capability;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.cirmuller.maidaddition.api.IChunkLoadingCapability;
import com.cirmuller.maidaddition.capability.ChunkLoadingCapabilityProvider;
import com.github.tartaricacid.touhoulittlemaid.entity.passive.EntityMaid;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.entity.Entity;
import net.minecraftforge.common.capabilities.ICapabilityProvider;
import net.minecraftforge.common.capabilities.RegisterCapabilitiesEvent;
import net.minecraftforge.event.AttachCapabilitiesEvent;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.fml.common.Mod.EventBusSubscriber;

@EventBusSubscriber
public class CapabilityRegistry {
  @SubscribeEvent
  public static void attachCapability(AttachCapabilitiesEvent<Entity> event) {
    Entity maid = (Entity)event.getObject();
    if (maid instanceof EntityMaid && !(((Entity)event.getObject()).m_9236_()).f_46443_)
      event.addCapability(new ResourceLocation("maidaddition", "chunk_loading_capability"), (ICapabilityProvider)new ChunkLoadingCapabilityProvider((EntityMaid)maid)); 
  }
  
  @SubscribeEvent
  public static void registerCapability(RegisterCapabilitiesEvent event) {
    event.register(IChunkLoadingCapability.class);
  }
}
